/* color primary #007bff */
/*
TODO CAMBIAR EL COLOR PRIMARIO DE ADMINLTE POR EL DE MAMÁ DEL NORTE #008085 --> HACERLO AL FINAL CUANDO ESTÉN DEFINIDOS TODOS LOS BLOQUES
*/

.flex_buttonEdit {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.flexCenter {
    display: flex;
    justify-content: center;
}

.flexRow {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    /* align-items: flex-end; */
}

.flexColumn {
    display: flex;
    flex-direction: column;
}

.flexBlock {display: block;}

.justifyContentEnd {justify-content: flex-end;}

.justifyContent {justify-content: space-between}

.alignItems {align-items: flex-end;}

.marginLeft {
    margin-left: 5%;
}

.deletePadding {
    padding-left: 0;
}

.paddingBottom {padding-bottom: 5%;}

.marginBotton {
    margin-bottom: 1rem;
}

.withoutBorder>span {
    border: none !important;
    padding-left: 0;
}
.link-adminPanel {
    color: #ffffff !important;
    
}

.logo {
    padding-top: 5px;
    width: 40%; /* 75% para que se vea grande */
}

.btn-create {
    background-color: #008085;
    border-color: #008085 
}

.btn-create:hover, .btn-create:focus {background-color: transparent !important; border: 1px solid #008085; color: #008085 !important;}
.btn-info:hover, .btn-info:hover {background-color: transparent !important; border: 1px solid #008085; color: #008085 !important;}
.btn-danger:hover {background-color: transparent !important; border-color: #dc3545; color: #dc3545;}
.btn-primary:hover {background-color: transparent !important; border-color: #007bff; color: #007bff;}

.sizeButton {
    width: 250px;
}

.galeriaVistaDetalle {
    margin-bottom: 20px; 
    display: flex;
    flex-wrap: wrap; 
    justify-content: space-between;}

.imagenVistaDetalle { width: 15%; object-fit: cover;}

input[type="file"] {display: none;}

#id_situacion {
    list-style: none; 
    display: flex; 
    flex-direction: row;
    padding: 0;
}

#id_situacion>li {margin-right:10px}

.content form#form_edit .card-body .form-group:is(:nth-child(3)) span {
    width: initial !important;
    margin-left: 0px;
}

/* #nombre_provincia {width: 500px} */

.note-editing-area {min-height: 250px;}

/* ESTILOS DE LOS DESPLEGABLES DE CIUDAD Y PROVINCIA */

#nombre_ciudadautocomplete-list.autocomplete-items {
    position: absolute;
    border: 1px solid #CED4DA;
    border-bottom: none;
    border-top: none;
    z-index: 99;
    /*position the autocomplete items to be the same width as the container:*/
    /* top: 100%; */
    /* left: 0; */
    /* right: 0; */
    width: 48%;
  }

#nombre_provinciaautocomplete-list.autocomplete-items {
    position: absolute;
    border: 1px solid #CED4DA;
    border-bottom: none;
    border-top: none;
    z-index: 99;
    width: 500px;
  }
  
.autocomplete-items div {
    padding: 10px;
    cursor: pointer;
    background-color: #fff; 
    border-bottom: 1px solid #CED4DA; 
  }
  
/*when hovering an item:*/
.autocomplete-items div:hover {
    background-color: #CED4DA; 
  }
  
/*when navigating through the items using the arrow keys:*/
.autocomplete-active {
    background-color: #CED4DA !important; 
    color: #ffffff; 
  }

/*
* FIN ESTILOS PARA EL FORMULARIO DE EDICIÓN O CREAR EN UBICACIÓN
*/




/* MODAL PARA DESPUBLICAR */

.sizeModal {max-width: 600px;}
.borderModal {border: 0}
.small-box .icon > i.fas {top: 30% !important}
.modal-body.inner { width: 80%; padding-left: 5%;}
.modal-title-mama {font-weight: bold;}
.modal-footer-mama {background-color: rgba(0, 0, 0, .15); padding: 0.5rem !important; justify-content: space-around}



/* GESTOR DE IMÁGENES */

.custom-file-upload {
    border: 1px solid #ccc;
    display: inline-block;
    padding: 6px 12px;
    cursor: pointer;
}

.placeholderImageBtn {
    border: none;
    outline: 1px solid #D2D2D2;
    outline-offset: 5px; 
    background-color: #dddddd;
    max-width: 20%;
}
/* .placeholderImageImg {max-width: 100%;} */
.sizeIMG {max-width: 100%;}
.detailImage {padding-bottom: 5%;}
.imagePlaceholderSave {max-width: 200px; max-height: 200px;}
.imagePlaceholderPreview {max-width: 110px;}

.quitarBorde {border-top: 0!important;}

table#tablaHome td {padding: 0.35rem!important;}
table#tablaHome td p {margin-bottom: 0.1rem!important; margin-left: 4%}

.breadcrumb-item a, footer a {color: #008085!important}
.sidebar-dark-primary .nav-sidebar > .nav-item > .nav-link.active, .sidebar-light-primary .nav-sidebar > .nav-item > .nav-link.active {
    background-color: #008085 !important;
    color: #fff;
}


/* ESTILOS HOME */
.diferenciasNegativas {color: #dc3545; font-size:.65rem; border-top: none!important; display: inline-block; text-align: center; margin-right: 4%;}
.diferenciasPositivas {color: #008085; font-size:.65rem; border-top: none!important; display: inline-block; text-align: center; margin-right: 4%;}
.flexHome {display: flex; flex-direction: row; flex-wrap: wrap; align-items: flex-end; justify-content: center; border-top: none!important;}
.flexHomeTitle {text-align: center;}

.btn-block+.btn-block {margin-top: 0;}